Debian Bug report logs - #578892
xpdf: keyboard shortcuts for zooming (w/z) don't work anymore

version graph

Package: xpdf-reader; Maintainer for xpdf-reader is Michael Gilbert <michael.s.gilbert@gmail.com>;

Reported by: Adrian Knoth <adi@drcomp.erfurt.thur.de>

Date: Fri, 23 Apr 2010 11:57:02 UTC

Severity: normal

Merged with 576543

Found in version xpdf/3.02-2

Fixed in version xpdf/3.02-9

Done: Osamu Aoki <osamu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Gilbert <michael.s.gilbert@gmail.com>:
Bug#578892; Package xpdf-reader. (Fri, 23 Apr 2010 11:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Knoth <adi@drcomp.erfurt.thur.de>:
New Bug report received and forwarded. Copy sent to Michael Gilbert <michael.s.gilbert@gmail.com>. (Fri, 23 Apr 2010 11:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adrian Knoth <adi@drcomp.erfurt.thur.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xpdf: keyboard shortcuts for zooming (w/z) don't work anymore
Date: Fri, 23 Apr 2010 13:52:47 +0200
Package: xpdf-reader
Version: 3.02-2
Severity: normal

Hi!

According to the documentation, I used to press 'w' or 'z' for "zoom to width"
or "zoom to page". This doesn't work anymore. Instead of zooming, there's an
error message shown in the terminal:

Error: Invalid command syntax: 'zoomFitPage'
Error: Invalid command syntax: 'zoomFitWidth'


Note that zooming to height ('h') still works.



-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-3-686 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages xpdf depends on:
ii  poppler-utils [xpdf-utils]    0.12.4-1   PDF utilitites (based on libpopple
ii  xpdf-common                   3.02-2     Portable Document Format (PDF) sui
ii  xpdf-reader                   3.02-2     Portable Document Format (PDF) sui

xpdf recommends no packages.

xpdf suggests no packages.

Versions of packages xpdf-reader depends on:
ii  gsfonts       1:8.11+urwcyr1.0.7~pre44-4 Fonts for the Ghostscript interpre
ii  lesstif2      1:0.95.2-1                 OSF/Motif 2.1 implementation relea
ii  libc6         2.10.2-6                   Embedded GNU C Library: Shared lib
ii  libfreetype6  2.3.11-1                   FreeType 2 font engine, shared lib
ii  libgcc1       1:4.5.0-1                  GCC support library
ii  libice6       2:1.0.6-1                  X11 Inter-Client Exchange library
ii  libpaper1     1.1.23+nmu2                library for handling paper charact
ii  libsm6        2:1.1.1-1                  X11 Session Management library
ii  libstdc++6    4.5.0-1                    The GNU Standard C++ Library v3
ii  libt1-5       5.1.2-3                    Type 1 font rasterizer library - r
ii  libx11-6      2:1.3.3-3                  X11 client-side library
ii  libxext6      2:1.1.1-3                  X11 miscellaneous extension librar
ii  libxp6        1:1.0.0.xsf1-2             X Printing Extension (Xprint) clie
ii  libxpm4       1:3.5.8-1                  X11 pixmap library
ii  libxt6        1:1.0.7-1                  X11 toolkit intrinsics library
ii  poppler-utils 0.12.4-1                   PDF utilitites (based on libpopple
ii  xpdf-common   3.02-2                     Portable Document Format (PDF) sui

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Gilbert <michael.s.gilbert@gmail.com>:
Bug#578892; Package xpdf-reader. (Tue, 27 Apr 2010 07:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Valery V. Vorotyntsev" <valery.vv@gmail.com>:
Extra info received and forwarded to list. Copy sent to Michael Gilbert <michael.s.gilbert@gmail.com>. (Tue, 27 Apr 2010 07:48:04 GMT) Full text and rfc822 format available.

Message #10 received at 578892@bugs.debian.org (full text, mbox):

From: "Valery V. Vorotyntsev" <valery.vv@gmail.com>
To: 578892@bugs.debian.org
Subject: Re: xpdf: keyboard shortcuts for zooming (w/z) don't work anymore
Date: Tue, 27 Apr 2010 10:44:52 +0300
+1

-- 
vvv




Forcibly Merged 576543 578892. Request was from Michael Gilbert <michael.s.gilbert@gmail.com> to control@bugs.debian.org. (Sun, 02 May 2010 22:09:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Gilbert <michael.s.gilbert@gmail.com>:
Bug#578892; Package xpdf-reader. (Mon, 21 Jun 2010 09:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emmanuel Thomé <Emmanuel.Thome@gmail.com>:
Extra info received and forwarded to list. Copy sent to Michael Gilbert <michael.s.gilbert@gmail.com>. (Mon, 21 Jun 2010 09:27:03 GMT) Full text and rfc822 format available.

Message #17 received at 578892@bugs.debian.org (full text, mbox):

From: Emmanuel Thomé <Emmanuel.Thome@gmail.com>
To: michael.s.gilbert@gmail.com, 578892@bugs.debian.org
Subject: Re: xpdf: keyboard shortcuts for zooming (w/z) don't work anymore
Date: Mon, 21 Jun 2010 11:25:25 +0200
Hi,

This annoying bug, apparent in xpdf_3.02-2, is caused by
xpdf-zoom-height.patch, notably the following bit:

@@ -231,6 +233,7 @@
   { "windowMode",              0, gFalse, gFalse, &XPDFViewer::cmdWindowMode },
   { "zoomFitPage",             0, gFalse, gFalse, &XPDFViewer::cmdZoomFitPage },
   { "zoomFitWidth",            0, gFalse, gFalse, &XPDFViewer::cmdZoomFitWidth },
+  { "zoomFitHeight",           0, gFalse, gFalse, &XPDFViewer::cmdZoomFitHeight },
   { "zoomIn",                  0, gFalse, gFalse, &XPDFViewer::cmdZoomIn },
   { "zoomOut",                 0, gFalse, gFalse, &XPDFViewer::cmdZoomOut },
   { "zoomPercent",             1, gFalse, gFalse, &XPDFViewer::cmdZoomPercent },


Indeed, that list is searched by a dichotomy algorithm in XPDFViewer::execCmd.

Thus zoomFitHeight must be inserted *before* zoomFitPage.

Best,

E.




Bug Marked as fixed in versions xpdf/3.02-9. Request was from Osamu Aoki <osamu@debian.org> to control@bugs.debian.org. (Sat, 17 Jul 2010 14:18:18 GMT) Full text and rfc822 format available.

Message #20 received at 578892-done@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: control@bugs.debian.org
Cc: 551544-done@bugs.debian.org, 580495-done@bugs.debian.org, 458468-done@bugs.debian.org, 461411-done@bugs.debian.org, 548182-done@bugs.debian.org, 548183-done@bugs.debian.org, 548184-done@bugs.debian.org, 548185-done@bugs.debian.org, 577917-done@bugs.debian.org, 351279-done@bugs.debian.org, 576683-done@bugs.debian.org, 577031-done@bugs.debian.org, 577086-done@bugs.debian.org, 576543-done@bugs.debian.org, 578892-done@bugs.debian.org, 551287-done@bugs.debian.org, 575779-done@bugs.debian.org, 535261-done@bugs.debian.org, 527840-done@bugs.debian.org, 515495-done@bugs.debian.org, 458763-done@bugs.debian.org, 528807-done@bugs.debian.org, 424747-done@bugs.debian.org, 408502-done@bugs.debian.org, 424178-done@bugs.debian.org, 495150-done@bugs.debian.org, 558020-done@bugs.debian.org
Subject: closing bug after uploading package
Date: Sat, 17 Jul 2010 23:15:55 +0900
fixed 551544 3.02-8
fixed 580495 3.02-8
fixed 458468 3.02-6
fixed 461411 3.02-5
fixed 548182 3.02-5
fixed 548183 3.02-5
fixed 548184 3.02-5
fixed 548185 3.02-5
fixed 577917 3.02-5
fixed 351279 3.02-3
fixed 576683 3.02-3
fixed 577031 3.02-3
fixed 577086 3.02-3
fixed 576543 3.02-9
fixed 578892 3.02-9
fixed 551287 3.02-2
fixed 575779 3.02-2
fixed 535261 3.02-2
fixed 527840 3.02-2
fixed 515495 3.02-2
fixed 458763 3.02-2
fixed 528807 3.02-2
fixed 424747 3.02-2
fixed 408502 3.02-2
fixed 424178 3.02-2
fixed 495150 3.02-2
fixed 558020 3.02-2
thanks

Somehow, skipped upload packages lacked atomatic bug closure.
I am closing this manually.

The bugs 576543 and 578892 were fixed by dropping patch at 3.02-3 but
real fix was at 3.02-9

The CC list ias below should close this bug.

551544-done@bugs.debian.org, 580495-done@bugs.debian.org, 458468-done@bugs.debian.org, 461411-done@bugs.debian.org, 548182-done@bugs.debian.org, 548183-done@bugs.debian.org, 548184-done@bugs.debian.org, 548185-done@bugs.debian.org, 577917-done@bugs.debian.org, 351279-done@bugs.debian.org, 576683-done@bugs.debian.org, 577031-done@bugs.debian.org, 577086-done@bugs.debian.org, 576543-done@bugs.debian.org, 578892-done@bugs.debian.org, 551287-done@bugs.debian.org, 575779-done@bugs.debian.org, 535261-done@bugs.debian.org, 527840-done@bugs.debian.org, 515495-done@bugs.debian.org, 458763-done@bugs.debian.org, 528807-done@bugs.debian.org, 424747-done@bugs.debian.org, 408502-done@bugs.debian.org, 424178-done@bugs.debian.org, 495150-done@bugs.debian.org, 558020-done@bugs.debian.org





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Aug 2010 07:32:52 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Francesco Poli <invernomuto@paranoici.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 11:25:33 GMT) Full text and rfc822 format available.

Bug archived. Request was from Francesco Poli <invernomuto@paranoici.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 11:25:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:08:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.